#!/bin/sh

# Stack_Pop.sh
# Tue Dec 30 18:17:43 PST 2008
# Chieh Cheng
# http://www.CynosureX.com/

# GNU General Public License (GPL) Version 2, June 1991

  scriptName=`basename "$0"`

  usage ()
  {
    echo "  Usage:   ${scriptName} \"name\""
    echo
    echo "           name - Name of the set."
  }

  if [ $# -eq 1 ]
  then
    name="$1"

    tokens=`Tokenize.sh "_" "${scriptName}"`
    type=`echo "${tokens}" | Token.sh 1`

    file=`${type}_GetFileName.sh "${name}"`

    numLines=`${type}_Size.sh "${name}"`
    if [ ${numLines} -gt 0 ]
    then
      value=`head -1 "${file}"`
      rest=`expr ${numLines} - 1`
      tempFile=`GetTempPathName.ksh "${scriptName}"`
      tail -${rest} "${file}" > "${tempFile}"
      mv -f "${tempFile}" "${file}"
      echo "${value}"
    else
      echo
    fi
  else
    usage
  fi
