#!/bin/sh

# Stack_Push.sh
# 2008-12-31
# Chieh Cheng
# http://www.CynosureX.com/

# GNU General Public License (GPL) Version 2, June 1991

  scriptName=`basename "$0"`

  usage ()
  {
    echo "  Usage:   ${scriptName} \"name\" \"value\""
    echo
    echo "           name - Name of the set."
    echo "           value - String value to add to the set."
  }

  if [ $# -eq 2 ]
  then
    name="$1"
    value="$2"

    tokens=`Tokenize.sh "_" "${scriptName}"`
    type=`echo "${tokens}" | Token.sh 1`

    file=`${type}_GetFileName.sh "${name}"`

    if [ -f "${file}" ]
    then
      tempFile=`GetTempPathName.ksh "${scriptName}"`
      mv "${file}" "${tempFile}"
      echo "${value}" > "${file}"
      cat "${tempFile}" >> "${file}"
      rm "${tempFile}"
    else
      echo "${value}" > "${file}"
    fi
  else
    usage
  fi
